<?php

// TM Offline Stats v0.62b

/* - commentary ------------------------------------------------------
   This file allows you to manage the process of parsing logs.

   Usage:
   - do changes
   - save file
   - reparse stats

   Tips:
   - if you don't understand what you do, make DB backup first =)
   - if you want use non latin (UTF-8) characters, open this file in
     UTF-8 editor (like http://www.unipad.org)
   - if you want use " in string do it with backslash - \" 

   -!commentary --------------------------------------------------- */

/* - commentary ------------------------------------------------------
   Results of this players will by united. Format:
   $cfg_players = array(
      "SrcPlayerAccount"=>"DestPlayerAccount",
   );
   All results of player with account "SrcPlayerAccount" will
   be grabed by player with account "DestPlayerAccount". Player
   with account "SrcPlayerAccount" will be deleted from stats.
   You may view "account" in server's log-file.

   Example for /lan server:

   [2007/01/19 17:30:37] <time> [$000jago/213.85.135.45:2350 ($000Jago)] 1:18.47
   account - "$000jago"
   [2007/01/19 18:07:52] <time> [habicht/192.168.61.175:2350 (HabichT)] 1:29.61
   account - "habicht"

   $cfg_players = array(
      "$000jago"=>"habicht",
   );

   Example for /internet server:

   [2006/06/14 14:01:59] <time> [wjp84 ($i$f4fWJP)] 0:33.80
   account - "wjp84"
   [2006/06/14 14:02:07] <time> [saimi (zymiC)] 0:41.77
   account - "saimi"
   [2006/06/14 14:03:32] <time> [-a-p- (-A-P-)] 0:45.53
   account - "-a-p-"

   $cfg_players = array(
      "wjp84"=>"saimi",
      "-a-p-"=>"saimi",
   );
   -!commentary --------------------------------------------------- */

$cfg_players = array(
);

/* - commentary ------------------------------------------------------
   Results of this players will by deleted. Format:
   $cfg_players_ignorelist = array(
      "DeletePlayerAccount",
   );
   Player with account "DeletePlayerAccount" and all his results
   will by deleted from stats. You may view "account" in
   server's log-file.

   Example for /lan server:

   [2007/01/19 17:30:37] <time> [$000jago/213.85.135.45:2350 ($000Jago)] 1:18.47
   account - "$000jago"
   [2007/01/19 18:07:52] <time> [habicht/192.168.61.175:2350 (HabichT)] 1:29.61
   account - "habicht"

   $cfg_players_ignorelist = array(
      "$000jago",
      "habicht",
   );

   Example for /internet server:

   [2006/06/14 14:01:59] <time> [wjp84 ($i$f4fWJP)] 0:33.80
   account - "wjp84"
   [2006/06/14 14:02:07] <time> [saimi (zymiC)] 0:41.77
   account - "saimi"
   [2006/06/14 14:03:32] <time> [-a-p- (-A-P-)] 0:45.53
   account - "-a-p-"

   $cfg_players_ignorelist = array(
      "wjp84",
      "saimi",
      "-a-p-",
   );
   -!commentary --------------------------------------------------- */

$cfg_players_ignorelist = array(
"guest",
);

/* - commentary ------------------------------------------------------
   Switch on/off autoparse team-tags. If false, will be used only
   $cfg_clans array.
   true - on
   false - off
   -!commentary --------------------------------------------------- */

$cfg_autofindclans = true;

/* - commentary ------------------------------------------------------
   With this array you can manual register teams. Format:
   $cfg_clans = array(
      "TeamTag"=>array("description"=>"Description: full name, site, mirc channel, e.t.c.",
                       "autofindmembers"=>true,
                       "members"=>"account_member_1;account_member_2;account_member_e_t_c"),
   );
   "TeamTag" is case-insensitive.

   Example:

   $cfg_clans = array(
      "BANANAS"=>array("description"=>" - BANANAS clan",
                       "autofindmembers"=>true),
       "UnItEd"=>array("description"=>" - Some players united to clan",
                       "autofindmembers"=>false,
                       "members"=>"crockett;fleckman;hsl;vasia."),
       "[TMos]"=>array("description"=>" - \"TM Offline Stats\" funs (http://tmos.pp.ru)",
                       "autofindmembers"=>true,
                       "members"=>"$000jago;habicht;rock"),
   );

   -!commentary --------------------------------------------------- */

$cfg_clans = array(

   // information from http://tm-ladder.com (few random teams)
   "{+}"=>array("description"=>" - <img src=\"./gfx/flags/fra.png\" class=\"f\">&nbsp;<a href=\"http://savoysrv.viallet.biz\">Team savoy</a>",
                 "autofindmembers"=>true),
   "2fast4u"=>array("description"=>" - <img src=\"./gfx/flags/fra.png\" class=\"f\">&nbsp;<a href=\"http://2fast4u.roxorgamers.com\">2fast4u</a>",
                 "autofindmembers"=>true),
   "[BBD]"=>array("description"=>" - <img src=\"./gfx/flags/fra.png\" class=\"f\">&nbsp;<a href=\"http://www.bbd.ze.cx\">Belgium Best Drivers</a>",
                 "autofindmembers"=>true),
   "[BLR]"=>array("description"=>" - <img src=\"./gfx/flags/rus.png\" class=\"f\">&nbsp;<a href=\"http://www.tm-belarus.com\">Belarus team</a>",
                 "autofindmembers"=>true),
   "~CAT>"=>array("description"=>" - <img src=\"./gfx/flags/fra.png\" class=\"f\">&nbsp;<a href=\"http://cat.tmu.free.fr\">Catl li</a>",
                 "autofindmembers"=>true),
   "[CDD]"=>array("description"=>" - <img src=\"./gfx/flags/pol.png\" class=\"f\"><img src=\"./gfx/flags/gbr.png\" class=\"f\">&nbsp;<a href=\"http://cddclan.republika.pl\">Crazy Demo Drivers</a>",
                 "autofindmembers"=>true),
   "[cHoe]"=>array("description"=>" - <img src=\"./gfx/flags/ger.png\" class=\"f\">&nbsp;<a href=\"http://www.chaos-hoernchen.de\">Choas-Hoernchen</a>",
                 "autofindmembers"=>true),
   "*CRT*"=>array("description"=>" - <img src=\"./gfx/flags/ger.png\" class=\"f\">&nbsp;<a href=\"http://www.cologne-racing-team.de\">Cologne Racing Team</a>",
                 "autofindmembers"=>true),
   "*CZ*"=>array("description"=>" - <img src=\"./gfx/flags/fra.png\" class=\"f\">&nbsp;<a href=\"http://www.sweb.cz/prizdisracz\">PrizdiSraCZ</a>",
                 "autofindmembers"=>true),
   "]DoW["=>array("description"=>" - <img src=\"./gfx/flags/ger.png\" class=\"f\">&nbsp;<a href=\"http://martin.tibit.de/andre\">DriveOrWalk Team</a>",
                 "autofindmembers"=>true),
   "-=E.T.M=-"=>array("description"=>" - <img src=\"./gfx/flags/fra.png\" class=\"f\">&nbsp;<a href=\"http://team.etm.free.fr\">Enter The Matrix</a>",
                 "autofindmembers"=>true),
   "(FG)"=>array("description"=>" - <img src=\"./gfx/flags/gbr.png\" class=\"f\">&nbsp;<a href=\"http://www.forsaken-gaming.com/home\">Forsaken Gaming</a>",
                 "autofindmembers"=>true),
   "Furia"=>array("description"=>" - <img src=\"./gfx/flags/fra.png\" class=\"f\">&nbsp;<a href=\"http://teamfuria.cmonfofo.com\">teamfuria</a>",
                 "autofindmembers"=>true),
   "|GT|"=>array("description"=>" - <img src=\"./gfx/flags/pol.png\" class=\"f\">&nbsp;<a href=\"http://www.gtteam.ovh.org\">Gothic Trackers</a>",
                 "autofindmembers"=>true),
   "JBRT"=>array("description"=>" - <img src=\"./gfx/flags/fra.png\" class=\"f\">&nbsp;<a href=\"http://www.jbrteam.info\">Joe Bar Racing Team</a>",
                 "autofindmembers"=>true),
   "KK`"=>array("description"=>" - <img src=\"./gfx/flags/esp.png\" class=\"f\">&nbsp;<a href=\"http://www.kkteam.es.kz\">KK team</a>",
                 "autofindmembers"=>true),
   "NWT"=>array("description"=>" - <img src=\"./gfx/flags/por.png\" class=\"f\">&nbsp;<a href=\"http://nwt.up.md/modules/news\">North Wind Traders</a>",
                 "autofindmembers"=>true),
   "OLD/"=>array("description"=>" - <img src=\"./gfx/flags/nor.png\" class=\"f\">&nbsp;<a href=\"http://teamold.activebb.net\">Overaged Lucky Drivers</a>",
                 "autofindmembers"=>true),
   "plan-B"=>array("description"=>" - <img src=\"./gfx/flags/aut.png\" class=\"f\">&nbsp;<a href=\"http://www.plan-b.at\">plan-B Team</a>",
                 "autofindmembers"=>true),
   "USSR"=>array("description"=>" - <img src=\"./gfx/flags/rus.png\" class=\"f\">&nbsp;<a href=\"http://www.ussr-team.com\">USSR Team.tmn</a>",
                 "autofindmembers"=>true),
   "BRW@TMN"=>array("description"=>" - <img src=\"./gfx/flags/ger.png\" class=\"f\">&nbsp;<a href=\"http://www.brwclan.redio.de\">Team Brauweiler</a>",
                 "autofindmembers"=>true),
   "[SP]"=>array("description"=>" - <img src=\"./gfx/flags/ger.png\" class=\"f\">&nbsp;<a href=\"http://www.spieleplanet.eu\">SpielePlanet</a>",
                 "autofindmembers"=>true),

);

/* - commentary ------------------------------------------------------
   With this array you can delete "bad" team-tags, that will not show
   in statistics. Format:
   $cfg_clans_ignorelist = array(
      "TeamTag 1",
      "TeamTag 2",
      "TeamTag e.t.c",
   );
   "TeamTag" is case-insensitive.
   -!commentary --------------------------------------------------- */

$cfg_clans_ignorelist = array(

"a.", "b.", "c.", "d.", "e.", "f.", "g.", "h.", "i.", "j.", "k.", "l.", "m.",
"n.", "o.", "p.", "q.", "r.", "s.", "t.", "u.", "v.", "w.", "x.", "y.", "z.",
".a", ".b", ".c", ".d", ".e", ".f", ".g", ".h", ".i", ".j", ".k", ".l", ".m",
".n", ".o", ".p", ".q", ".r", ".s", ".t", ".u", ".v", ".w", ".x", ".y", ".z",
".a.", ".b.", ".c.", ".d.", ".e.", ".f.", ".g.", ".h.", ".i.", ".j.", ".k.",
".l.", ".m.", ".n.", ".o.", ".p.", ".q.", ".r.", ".s.", ".t.", ".u.", ".v.",
".w.", ".x.", ".y.", ".z.",
"-a", "-b", "-c", "-d", "-e", "-f", "-g", "-h", "-i", "-j", "-k", "-l", "-m",
"-n", "-o", "-p", "-q", "-r", "-s", "-t", "-u", "-v", "-w", "-x", "-y", "-z",
"a-", "b-", "c-", "d-", "e-", "f-", "g-", "h-", "i-", "j-", "k-", "l-", "m-",
"n-", "o-", "p-", "q-", "r-", "s-", "t-", "u-", "v-", "w-", "x-", "y-", "z-",
"-a-", "-b-", "-c-", "-d-", "-e-", "-f-", "-g-", "-h-", "-i-", "-j-", "-k-",
"-l-", "-m-", "-n-", "-o-", "-p-", "-q-", "-r-", "-s-", "-t-", "-u-", "-v-",
"-w-", "-x-", "-y-", "-z-",
"_a", "_b", "_c", "_d", "_e", "_f", "_g", "_h", "_i", "_j", "_k", "_l", "_m",
"_n", "_o", "_p", "_q", "_r", "_s", "_t", "_u", "_v", "_w", "_x", "_y", "_z",
"a_", "b_", "c_", "d_", "e_", "f_", "g_", "h_", "i_", "j_", "k_", "l_", "m_",
"n_", "o_", "p_", "q_", "r_", "s_", "t_", "u_", "v_", "w_", "x_", "y_", "z_",
"_a_", "_b_", "_c_", "_d_", "_e_", "_f_", "_g_", "_h_", "_i_", "_j_", "_k_",
"_l_", "_m_", "_n_", "_o_", "_p_", "_q_", "_r_", "_s_", "_t_", "_u_", "_v_",
"_w_", "_x_", "_y_", "_z_", 
"a@", "b@", "c@", "d@", "e@", "f@", "g@", "h@", "i@", "j@", "k@", "l@", "m@",
"n@", "o@", "p@", "q@", "r@", "s@", "t@", "u@", "v@", "w@", "x@", "y@", "z@",
"@a", "@b", "@c", "@d", "@e", "@f", "@g", "@h", "@i", "@j", "@k", "@l", "@m",
"@n", "@o", "@p", "@q", "@r", "@s", "@t", "@u", "@v", "@w", "@x", "@y", "@z",
"a!", "b!", "c!", "d!", "e!", "f!", "g!", "h!", "i!", "j!", "k!", "l!", "m!",
"n!", "o!", "p!", "q!", "r!", "s!", "t!", "u!", "v!", "w!", "x!", "y!", "z!",
"!a", "!b", "!c", "!d", "!e", "!f", "!g", "!h", "!i", "!j", "!k", "!l", "!m",
"!n", "!o", "!p", "!q", "!r", "!s", "!t", "!u", "!v", "!w", "!x", "!y", "!z",

"_007", "_666",
"_0", "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", 
"_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20",
"_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30",
"_31", "_32", "_33", "_34", "_35", "_36", "_37", "_38", "_39", "_40",
"_41", "_42", "_43", "_44", "_45", "_46", "_47", "_48", "_49", "_50",
"_51", "_52", "_53", "_54", "_55", "_56", "_57", "_58", "_59", "_60",
"_61", "_62", "_63", "_64", "_65", "_66", "_67", "_68", "_69", "_70",
"_71", "_72", "_73", "_74", "_75", "_76", "_77", "_78", "_79", "_80",
"_81", "_82", "_83", "_84", "_85", "_86", "_87", "_88", "_89", "_90",
"_91", "_92", "_93", "_94", "_95", "_96", "_97", "_98", "_99", "_100",

"-007", "-666",
"-0", "-1", "-2", "-3", "-4", "-5", "-6", "-7", "-8", "-9", "-10", 
"-11", "-12", "-13", "-14", "-15", "-16", "-17", "-18", "-19", "-20",
"-21", "-22", "-23", "-24", "-25", "-26", "-27", "-28", "-29", "-30",
"-31", "-32", "-33", "-34", "-35", "-36", "-37", "-38", "-39", "-40",
"-41", "-42", "-43", "-44", "-45", "-46", "-47", "-48", "-49", "-50",
"-51", "-52", "-53", "-54", "-55", "-56", "-57", "-58", "-59", "-60",
"-61", "-62", "-63", "-64", "-65", "-66", "-67", "-68", "-69", "-70",
"-71", "-72", "-73", "-74", "-75", "-76", "-77", "-78", "-79", "-80",
"-81", "-82", "-83", "-84", "-85", "-86", "-87", "-88", "-89", "-90",
"-91", "-92", "-93", "-94", "-95", "-96", "-97", "-98", "-99", "-100",

".0", ".1", ".2", ".3", ".2006", "!1", "_1_", "1_", "_tr", "_rc", "_zi",
"_pl", "he-", "@blo", "kr@", "@ke", "@ga", "pl@", "@rd", "cr@", "fr@",
"@in", "@ne", "_nl", "w*", "_da", "-da", "da-", "da_", "!ke", "|n", "cpt.",
".bln", "!ng", "f(", "_pt", "css_", "je_", "/7", "es_", "#1", "#2",
"__", "___", "____", "_guest_", "|||", "_S.", "mk-", "mk_", "_mk", "-mk",
"ir_", "-moll", "oo-", "-oo", "!el", "!nk", "_abc", "!ger", "!ck",
"my-", "-tj", "_hh", "_cr", "_bo", "ph_", "_er", "hg-", "_gt", "!ght",
"la_", "\$h", "_gr", "lp_", "\$e", ".on", "tr_", "zz-",
":D", "=)", ":)", ";)", "xx_", "_xx", "_me", "jb_", "evo_", "_by", "_te",
"mi_", "@rco", "@rk", "@ddy", "do_", "ex-", "bl@", "!0n", "@cK", "!ls",
"bl!", "@ce", "_5000", "_xd", "by_", "_ksk", "e*",

"www.", "ww.", ".com", "robase.", ".ru", ".de", ".net", ".org", ".fr",
"ttp://", "_fin_", "fin_", "_fin", ".cz", "_svk", "_cz", "[fin]",
"[rus]", "(fin)", "_ukraine", ".ua", "_ua", "_ua_", ".ua_", "__ua_",
"_ger", "ukr_", "[ger]", "http://", ".exe", ".ger", ".be",
"the_", "le_", "the-", "le-", "'s", "_an", "'n", "der_", "der-",
"el-", "el.", "el_", "_jr", "viva_", "viva-", "de_", "de-", "de.", "l'",
"ger_", "_ger", "_pol_", "das_", "das-", "-jan", "_jan", "_usa",

"st.", "st_", "st._", "_mr_", "mr.", "mr_", "mr._", "dr.", "dr_", "dr._",
"sir_", "sir-", "sir._", "mister_", "mister-", "mister._", "mrs.",
"dj_", "dj.", "dj-", "mc.", "mc_", "mc-", "_mc", "-mc", "sos_", "sos-",
"sos.", "sen_", "sen-", "ing.", "al-",

"lord_", "lord-", "-lord", "_lord", "_lord_", "general_", "general-",
"_boss", "-boss", "master_", "master-","-master", "_master", "capt_",
"capt-", "captain_", "captain-", "captain.", "_king_", "king_",
"king-", "-king", "_king",  "agent_", "agent-", "don_", "don.", "don-",
"_knight", "-knight", "knight-", "knight_",
"_man", "-man", ".man", "_mann", "-men", "_men", "_wolf", "-wolf",
"big_", "big-", "big.", "_duda", "_best", "-best", "best_", "best-",
"crazy_", "crazy-", "crazy.", "_boy", "-boy", "-green", "_green",
"pro.", "pro-", "pro_", "short_", "_fury", "evil_", "evil-", "evil.",
".evil", "-evil", "death_", "death-", "death.", "_cool", "-cool",
"-power", "_power",  "black_", "_black", "silent_", "silent-",
"_steel", "-steel", "-racer", "_racer", ".racer", "racer_", "racer-",
"racer.", "team.", "ninja_", "ninja-", "_ninja", "-ninja", "coca_",
"_fish", "-fish", "-monkey", "_monkey", "_girl", "-girl", "-unit",
"silver_", "silver-", "shadow_", "shadow-", "_shadow", "-shadow",
"dark_", "dark-", "best_", "best-", "flying-", "flying_", "next_",
"next-", "_speed", "-speed", "ice-", "ice_", "_back", "-back",
"dutch_", "turkey_", "_mdk", "ui_", "_nos", "ksk", "one_", "one-",
"one.", "-one", ".one", "_one", "-0ne", "_viper", "dragon-",
"blood_", "blood-", "-ghost", "_ghost", "ghost_", "ghost-",
"]tiger", "-virus", "-star", ".star", "hell_", "hell-", "_gott",
"_sniper", "lucky-", "lucky_", "die_", "die-", "ded_", "ded-",
"aero-", "_driver", "-driver", "just_", "just-", "_shark", "-shark",
"dein_", "titan.", "anti-", "anti_", "racing_", "racing-", "-racing",
"_racing", "mad_", "mad-", "little_", "little-", "_ass", "-ass",
"_killer", "-killer", "_rider", "-rider", "_weed", "andi-", "_blue",
"-blue", "red_", "red-", "free_", "free-", "-sky", "]shorty", "bad_",
"bad-", "deaf_", "deaf-", "_sonic", "super_", "super-", "-style",
"space-", "_pat", "mini_", "-force", "_devil", "_fan", "race_", "_kid",
"father_", "anty_", "_killa", "light_", "great_", "_chilla", "body_",
"_dragon", ".long", "can_", "]dragon", "]toxic", "monkey_", "prinz_",
".pink", ".freak", "solid_", "papa-", "war-", "kool_",

"alex_", "_johnson", "]max", "michael_", "-lapin", "ole_", "lil_",
"danny_", "_hitler", "jack_", "jack-", "ben-", "john_", "john-",
"tommy_", "lazy_", "den_",  "aris-", "bob_", "-dan", "rato_", "junior_",
"leo_", "_mickey", "_hatter", "sam_", "johnny_", "rafael_", "_rox",
"teh_", "andy.", "andy_", "-tom", "]terror", "jean-", "max_", "max-",
"_max", "-max", "_ann", "-willy", "_willy", "ray_", "ray-", "jojo_",
"-mac", ")chris", "chris_", ".max", "dominik_", "rookie_", "paul_",
"paul-", "jens_", "_al", "al.", "luke_", "luke-", "]benny", "_nielsen",
"_joe", "_rambo", "daniel_", "_maximus", "kenny_", "alex-", "_chris",
"-gandalf", "-bob", "hans_", "kimi_", "tuoppi_", "-kettu", "tim_",
"dimon_", "_galhao", "_deltaua", "yuriy_", "miha_", "d1mon_", "vocuk_",
"ben_", "jim_", "evo-", "_dave", "mac-", "-noy", "-san", "flo_",
"]martin", "_lars", "_helmchen", "davidoff_",

);


/* - commentary ------------------------------------------------------
   All results of all players on this tracks will be deleted. Format:
   $cfg_tracks_ignorelist = array(
      "track_uid",
   );

   You may view "track_uid" in matchsettings file or in server's log-file.

   Example:

   [2006/06/14 14:00:41] Loading challenge E-3.Challenge.Gbx (yxUTF2YQd351q4iWVtrrqYV59tk)...
   track_uid - "yxUTF2YQd351q4iWVtrrqYV59tk"

   $cfg_tracks_ignorelist = array(
      "yxUTF2YQd351q4iWVtrrqYV59tk",
   );
   -!commentary --------------------------------------------------- */

$cfg_tracks_ignorelist = array(
);

?>